.sidebar-container {
  flex: 1 1 35%;
  background-color: white;
  display: flex;
  flex-direction: column;
  position: relative;
  transition: 400ms all ease-in-out;
}

.sidebar-header-container {
  flex: 1 1 10%;
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 1rem;
}

.sidebar-schedule-container {
  flex: 1 1 90%;
  overflow-x: hidden;
  overflow-y: scroll;
  padding: 2rem clamp(1rem, 1.5rem, 2rem) 1rem;
  display: flex;
  flex-direction: column;
  gap: 2.5rem;
  position: relative;
}

.sidebar-schedule-overlay {
  background: linear-gradient(rgba(255, 255, 255, 1), rgba(255, 255, 255, 0));
  position: absolute;
  width: 100%;
  height: 3rem;
  z-index: 3;
}

.sidebar-conference-room {
  color: #858484;
}

.sidebar-conference-room-name {
  color: black;
  font-size: clamp(1rem, 2rem, 3rem);
  font-weight: 900;
}

.sidebar-timeline-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.sidebar-time-line {
  width: 100%;
  border-radius: 50vmin;
  border: 1px solid #eaeaea83;
  margin: 0 0 0 clamp(0.5rem, 1rem, 1.5rem);
}

.sidebar-timeline-time {
  font-size: clamp(10px, 12px, 14px);
  font-weight: 900;
}

.sidebar-meetingbox-container {
  position: absolute;
  background: linear-gradient(to right, $appColorYellow 0.65rem, white 0%);
  width: calc(100% - 55px - 2.5rem);
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  display: flex;
  flex-direction: column;
  gap: 0.4rem;
  padding: 1rem 1.65rem;
  cursor: pointer;
}

.sidebar-meetinbox-edge {
  width: 0.75rem;
  background-color: $appColorYellow;
  height: 100%;
}

.sidebar-spotter-container {
  position: absolute;
  width: calc(100% - 45px - 2.5rem);
  display: flex;
  align-items: center;
  pointer-events: none;
}

.sidebar-spotter-line {
  border: 1px solid $appColorYellow;
  width: 100%;
  border-radius: 50vmin;
}

.sidebar-spotter-circle {
  height: 12px;
  width: 12px;
  background-color: $appColorYellow;
  border-radius: 50%;
  display: inline-block;
}

.sidebar-meetingbox-subject {
  font-size: clamp(13px, 16px, 19px);
  font-weight: 900;
}

.sidebar-meetingbox-organizer {
  text-transform: uppercase;
  font-size: 13px;
  color: $progressBarBackground;
}

.event-view-container {
  background-color: $appColorYellow;
  flex-direction: row;
  gap: 1.5rem;
  align-items: center;
  padding: 0 2rem;
  cursor: pointer;
}

.event-view-header {
  font-size: clamp(18px, 22px, 26px);
  font-weight: 700;
}

.event-view-return {
  font-size: clamp(2rem, 3rem, 4rem);
  color: white;
}

.event-view-info {
  flex-direction: row;
  gap: 1.5rem;
  align-items: center;
  padding: 0 2rem;
  font-size: clamp(13px, 15px, 17px);
  font-weight: 600;
  border-bottom: 1px solid $lineLightGray;
  flex: 0 1 10%;
  z-index: 2;
}

.event-view-info img {
  width: clamp(30px, 40px, 50px);
  height: auto;
}

.no-padding{
  padding: 0;
  gap: 0;
  position: relative;
}

.arrowhead {
  width: 35px !important;
  height: 35px !important;
  transform: scaleX(0.75);
  display: block ;
  margin-left: auto;
  transition: all 500ms ease-in-out;
}

.rotate-down {
  transform: rotate(-180deg) scaleX(0.75);
}

.participant-container {
  display: flex;
  flex-direction: row;
  gap: 1.5rem;
  flex: 1 1 100%;
  z-index: -1;
}

.participant-circle {
  height: 40px;
  width: 40px;
  background-color: rgba(227, 227, 227, 0.778);
  border-radius: 50%;
  display: inline-block;
  flex-grow: 0;
  flex-shrink: 0;
}

.participants{
  flex-direction: column;
  justify-content: space-evenly;
  align-items: flex-start;
  gap: 1rem;
  margin: 0;
  flex: 0 0 1px;
  transition: 500ms all ease-in-out;
  transform: translateX(600px);
  overflow: hidden;
  max-height: 0;
  z-index: -2;
}

.show-participants {
  overflow: visible;
  max-height: 1500px;
  transform: translateX(0);
  z-index: 0;
  margin: 1rem 0;
}


.participant-stub{
  width: clamp(30px, 40px, 50px);
  flex-grow: 0;
  flex-shrink: 0;
}

.participant-info-container{
  display: flex;
  flex-direction: column;
}

.participant-name{
  text-transform: uppercase;
  font-size: clamp(11px, 13px, 15px);
}

.participant-title{
  text-transform: uppercase;
  font-size: clamp(9px, 11px, 13px);
  color: $fontColorGray;
}


